Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class SchemaInfo

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder
          org.apache.cxf.service.model.SchemaInfo

All Implemented Interfaces:
  Extensible

    public final class SchemaInfo

extends AbstractPropertiesHolder

Constructor Summary
`SchemaInfo(ServiceInfo serviceInfo, java.lang.String namespaceUri)`

Method Summary
`org.w3c.dom.Element` | `getElement()`
`org.apache.ws.commons.schema.XmlSchemaElement` | `getElementByQName(javax.xml.namespace.QName qname)`
`java.lang.String` | `getNamespaceURI()`
`org.apache.ws.commons.schema.XmlSchema` | `getSchema()`
`ServiceInfo` | `getServiceInfo()`
`java.lang.String` | `getSystemId()`
`boolean` | `isAttributeFormQualified()`
`boolean` | `isElementFormQualified()`
`void` | `setElement(org.w3c.dom.Element element)`
`void` | `setNamespaceURI(java.lang.String nsUri)`
`void` | `setSchema(org.apache.ws.commons.schema.XmlSchema schema)`
`void` | `setSystemId(java.lang.String systemId)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder
`addExtensionAttribute, addExtensor, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperty, getProperty, getTraversedExtensor, setExtensionAttributes, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SchemaInfo

    public SchemaInfo(ServiceInfo serviceInfo,
                      java.lang.String namespaceUri)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getServiceInfo

    public ServiceInfo getServiceInfo()

### getNamespaceURI

    public java.lang.String getNamespaceURI()

### setNamespaceURI

    public void setNamespaceURI(java.lang.String nsUri)

### getElement

    public org.w3c.dom.Element getElement()

### setElement

    public void setElement(org.w3c.dom.Element element)

### isElementFormQualified

    public boolean isElementFormQualified()

### isAttributeFormQualified

    public boolean isAttributeFormQualified()

### getSchema

    public org.apache.ws.commons.schema.XmlSchema getSchema()

### setSchema

    public void setSchema(org.apache.ws.commons.schema.XmlSchema schema)

### getSystemId

    public java.lang.String getSystemId()

### setSystemId

    public void setSystemId(java.lang.String systemId)

### getElementByQName

    public org.apache.ws.commons.schema.XmlSchemaElement getElementByQName(javax.xml.namespace.QName qname)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.